maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jerome Lacoste (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MECLIPSE-460) Configure eclipse to use same source/target version as configured in maven-compiler-plugin.
Date Tue, 03 Nov 2009 17:26:55 GMT

    [ http://jira.codehaus.org/browse/MECLIPSE-460?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=197048#action_197048
] 

Jerome Lacoste commented on MECLIPSE-460:
-----------------------------------------

Note I tested this on a project with maven 2.2.1 and the problem disappeared. So I guess the
problem is related to maven not properly interpolating the values.

Can someone test also with maven 2.2.1 ?

See MECLIPSE-506

> Configure eclipse to use same source/target version as configured in maven-compiler-plugin.
> -------------------------------------------------------------------------------------------
>
>                 Key: MECLIPSE-460
>                 URL: http://jira.codehaus.org/browse/MECLIPSE-460
>             Project: Maven 2.x Eclipse Plugin
>          Issue Type: Bug
>          Components: Core : Workspace settings
>            Reporter: Maarten Billemont
>
> With a configuration like this:
>     <build>
>         <plugins>
>             <plugin>
>                 <groupId>org.apache.maven.plugins</groupId>
>                 <artifactId>maven-compiler-plugin</artifactId>
>                 <configuration>
>                     <source>1.3</source>
>                     <target>1.3</target>
> The following should be written to ".settings/org.eclipse.jdt.core.prefs":
> org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.3
> org.eclipse.jdt.core.compiler.source=1.3
> org.eclipse.jdt.core.compiler.compliance=1.3
> We are working with a multi-module project where certain modules have a non-default source/target
version because they are applets and need to be compatible with JSE 1.3.  Without the above;
these projects cause a mass of warnings in our eclipse workspace which shouldn't be there.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message